Visa obesvarade inlägg | Visa aktiva trådar Aktuellt datum och tid: 30 jul 2021, 16:03



Svara på tråd  [ 15 inlägg ] 
 WiFi-kort fungerar inte [LÖST] 
Författare Meddelande

Blev medlem: 20 jun 2021, 00:38
Inlägg: 12
OS: Lubuntu
Utgåva: 16.04 Xenial Xerus LTS
Svara med citat
Inlägg WiFi-kort fungerar inte [LÖST]
Jag har fått hem en Acer Aspire 3100 med Lubuntu 16.04. Det mesta fungerar som det skall, men WiFi-kortet hittas inte. Jag har försökt med Additonal Drivers, men ingen drivrutin hittas.

I en annan tråd hittade jag kommandot
Kod:
sudo lshw -class network
och det gav:

Kod:
  *-network:0             
       description: Ethernet interface
       product: RTL-8100/8101L/8139 PCI Fast Ethernet Adapter
       vendor: Realtek Semiconductor Co., Ltd.
       physical id: 1
       bus info: pci@0000:06:01.0
       logical name: enp6s1
       version: 10
       serial: 00:16:d4:66:44:42
       size: 100Mbit/s
       capacity: 100Mbit/s
       width: 32 bits
       clock: 33MHz
       capabilities: pm bus_master cap_list ethernet physical tp mii 10bt 10bt-fd 100bt 100bt-fd autonegotiation
       configuration: autonegotiation=on broadcast=yes driver=8139too driverversion=0.9.28 duplex=full ip=192.168.1.144 latency=64 link=yes maxlatency=64 mingnt=32 multicast=yes port=MII speed=100Mbit/s
       resources: irq:21 ioport:a000(size=256) memory:d0202000-d02020ff
  *-network:1
       description: Network controller
       product: BCM4318 [AirForce One 54g] 802.11g Wireless LAN Controller
       vendor: Broadcom Inc. and subsidiaries
       physical id: 2
       bus info: pci@0000:06:02.0
       version: 02
       width: 32 bits
       clock: 33MHz
       capabilities: bus_master
       configuration: driver=b43-pci-bridge latency=64
       resources: irq:22 memory:d0200000-d0201fff


Om jag tolkar den andra tråden rätt, så innebär resultatet av kommandot att det trådlösa kortet åtminstone syns. Vad är nästa steg för att få igång det?


Senast redigerad av Kjellinux 22 jun 2021, 23:42, redigerad totalt 2 gånger.



20 jun 2021, 01:39
Profil

Blev medlem: 22 aug 2019, 15:35
Inlägg: 168
OS: Ubuntu
Utgåva: 21.04 Hirsute Hippo
Svara med citat
Inlägg Re: WiFi-kort fungerar inte
I ditt inlägg står det att datorn har ett WiFi kort:
BCM4318 [AirForce One 54g] 802.11g från Broadcom Inc
Men att Ubuntu inte hittar några drivers.

1. Har du testat att googla BCM4318 [AirForce One 54g] 802.11g?
Det finns flera med samma kort som blivit hjälpta (de flesta trådarna är från 2012, så jag gissar att det är en gammal dator).
https://askubuntu.com/questions/339097/ ... ot-connect

https://forums.linuxmint.com/viewtopic.php?t=96604

https://ubuntuforums.org/showthread.php?t=2385830

https://www.linuxquestions.org/question ... nt-746114/

https://bbs.archlinux.org/viewtopic.php?id=143141

https://forums.fedoraforum.org/archive/ ... 30476.html

https://linux-hardware.org/index.php?id ... -1468-0312

2. Du kör en väldigt gammal distro, Lubuntu 16.04, som nådde End Of Life för två månader sedan.
Har du funderat på att uppdatera datorn till nyare version?
Jag är inte säker på att det hjälper att uppdatera till Lubuntu 20.04 (eller 21.04), men just nu kör du en så gammal version att den inte längre uppdaterar som den ska.


20 jun 2021, 08:50
Profil

Blev medlem: 20 jun 2021, 00:38
Inlägg: 12
OS: Lubuntu
Utgåva: 16.04 Xenial Xerus LTS
Svara med citat
Inlägg Re: WiFi-kort fungerar inte  Tråden är löst
@anth
Kod:
sudo apt-get purge bcmwl-kernel-source && sudo apt-get install firmware-b43-installer

(från tredje länken) med efterföljande omstart fixade problemet. Stort tack!

Mina Linuxkunskaper är begränsade, men jag gissar att ovanstående kommando tog bort någon del av kernel och installerade ny drivrutin för WiFi-kortet. Kan det stämma?

Jag vill minnas att jag läst att det går att söka så att Google begränsar sökningen till sajter som handlar om Ubuntu/Linux. Hur kan man göra en sådan sökning?


20 jun 2021, 13:44
Profil

Blev medlem: 22 aug 2019, 15:35
Inlägg: 168
OS: Ubuntu
Utgåva: 21.04 Hirsute Hippo
Svara med citat
Inlägg Re: WiFi-kort fungerar inte
Kjellinux skrev:
Mina Linuxkunskaper är begränsade, men jag gissar att ovanstående kommando tog bort någon del av kernel och installerade ny drivrutin för WiFi-kortet. Kan det stämma?

Korrekt.

Du har en Broadcom BCM4318

Du avinstallerade paketet bcmwl-kernel-source och installerade paketet firmware-b43-installer istället.

Du kan alltid se vad ett paket gör med kommandot apt show, testa:
Kod:
apt show bcmwl-kernel-source

apt show firmware-b43-installer

Det första paketet innehåller drivrutiner för Broadcom's BCM4311, BCM4312, BCM4313, BCM4321, BCM4322, BCM43224, and BCM43225, BCM43227, BCM43228 som du inte har.

Det andra paketet innehåller drivrutiner för BCM4306/3, BCM4311, BCM4318, BCM4321, BCM4322 (only 14e4:432b), BCM4312 (with Low-Power a.k.a. LP-PHY) som du har.

Om jag förstod rätt kan olika Broadcom-drivrutiner störa varandra och man bör avinstallera de man inte använder.

Kjellinux skrev:
Jag vill minnas att jag läst att det går att söka så att Google begränsar sökningen till sajter som handlar om Ubuntu/Linux. Hur kan man göra en sådan sökning?

Det känner jag inte till, men går det vill jag gärna veta hur man gör. :)
Min erfarenhet är att så länge man lägger till linux eller ubuntu i en googlesökning så är de flesta resultaten relevanta.

p.S.
Glöm inte att uppgradera Lubuntu till något nyare än 16.04.


21 jun 2021, 07:29
Profil

Blev medlem: 20 jun 2021, 00:38
Inlägg: 12
OS: Lubuntu
Utgåva: 16.04 Xenial Xerus LTS
Svara med citat
Inlägg Re: WiFi-kort fungerar inte
Raderat...


Senast redigerad av Kjellinux 21 jun 2021, 17:00, redigerad totalt 1 gång.



21 jun 2021, 16:55
Profil

Blev medlem: 20 jun 2021, 00:38
Inlägg: 12
OS: Lubuntu
Utgåva: 16.04 Xenial Xerus LTS
Svara med citat
Inlägg Re: WiFi-kort fungerar inte
@anth

Tack för ett uttömmande och mycket pedagogiskt svar! :)

anth skrev:
Kjellinux skrev:
Jag vill minnas att jag läst att det går att söka så att Google begränsar sökningen till sajter som handlar om Ubuntu/Linux. Hur kan man göra en sådan sökning?

Det känner jag inte till, men går det vill jag gärna veta hur man gör. :)
Min erfarenhet är att så länge man lägger till linux eller ubuntu i en googlesökning så är de flesta resultaten relevanta.

Jag hittade var jag hade läst det. Det visade sig vara här på forumet i tråden "LÄS DETTA INNAN DU POSTAR!" (https://ubuntu-se.org/phpBB3/viewtopic.php?f=208&t=44692):

När ni letar på ovan nämnda sidor, lägg då märke till den anpassade sökrutan 'Google CSE ("Custom Search Engine")' som finns tillgänglig på alla sidor under https://help.ubuntu.com/. Om man anger en sökterm i fältet uppe till höger på en sida, söker Google på enbart ett urval av Ubuntu-webbplatser. På sökresultatsidan kan man sedan snäva in resultatet till någon av följande kategorier:

Official - den officiella dokumentationen för Unity-skrivbord, server, installation och cloud (help.ubuntu.com)
Community - wikin som har byggts upp av Ubuntugemenskapen, och vars innehåll är av varierande kvalitet och aktualitet (help.ubuntu.com/community/CommunityHelpWiki)
Technical - manual sidor
AskUbuntu - söker på sidor på http://askubuntu.com


anth skrev:
p.S.
Glöm inte att uppgradera Lubuntu till något nyare än 16.04.

Datorn jag kör Lubuntu på är en nyinköpt bättre begagnad Acer Aspire 3100 bestyckad med 512MB RAM. Säljaren hade enligt uppgift installerat Lubuntu helt nyligen. Jag tittade på https://lubuntu.net/downloads/ efter lämplig nyare version. Där stod "For low-RAM (less than 700 MB) PCs use the Alternate versions with a smaller set of applications.". Det framgår emellertid inte om det är alternate version under rubriken "Previous Alternate Images" eller "The Longterm Support (LTS) version" som avses. Rekommendation om vilken version som är lämpligast för den aktuella datorn mottages tacksamt.


21 jun 2021, 16:58
Profil
Användarvisningsbild

Blev medlem: 06 dec 2014, 10:44
Inlägg: 940
OS: Linux Mint
Svara med citat
Inlägg Re: WiFi-kort fungerar inte
Long term Support (LTS) är alltid mest lämplig... om man inte gillar att uppgradera en gång i halvåret.

_________________
Alltid på kanelen!


22 jun 2021, 08:25
Profil

Blev medlem: 20 jun 2021, 00:38
Inlägg: 12
OS: Lubuntu
Utgåva: 16.04 Xenial Xerus LTS
Svara med citat
Inlägg Re: WiFi-kort fungerar inte
@eson57
eson57 skrev:
Long term Support (LTS) är alltid mest lämplig... om man inte gillar att uppgradera en gång i halvåret.

Så du rekommenderar alltså att jag behåller 16.04?


22 jun 2021, 13:34
Profil
Användarvisningsbild

Blev medlem: 06 dec 2014, 10:44
Inlägg: 940
OS: Linux Mint
Svara med citat
Inlägg Re: WiFi-kort fungerar inte
Kjellinux skrev:
Så du rekommenderar alltså att jag behåller 16.04?
Nej, jag tycker att du skall uppgradera till 20.04 LTS

Edit:
Sorry, ser nu att 18.04 är senaste "Previous Alternate Images", så i ditt fall får det nog bli den. Kolla bara om det är 32- eller 64-bitars du kör.

Edit2: Uppgradering från terminal är kanske enklaste vägen...
https://manual.lubuntu.me/stable/D/upgrading.html

_________________
Alltid på kanelen!


22 jun 2021, 15:32
Profil

Blev medlem: 20 jun 2021, 00:38
Inlägg: 12
OS: Lubuntu
Utgåva: 16.04 Xenial Xerus LTS
Svara med citat
Inlägg Re: WiFi-kort fungerar inte
@eson57
eson57 skrev:
Sorry, ser nu att 18.04 är senaste "Previous Alternate Images", så i ditt fall får det nog bli den. Kolla bara om det är 32- eller 64-bitars du kör.
https://manual.lubuntu.me/stable/D/upgrading.html

Så som rubrikerna ser ut på Lubuntus hemsida ser det ut som om det är 16.04 som är LTS, men 18.04 är alltså också LTS?


22 jun 2021, 16:10
Profil
Användarvisningsbild

Blev medlem: 06 dec 2014, 10:44
Inlägg: 940
OS: Linux Mint
Svara med citat
Inlägg Re: WiFi-kort fungerar inte
16.04, 18.04, 20.04, 22.04... du ser mönstret, va? ;)

I April vartannat år släpps alltså en ny LTS.

_________________
Alltid på kanelen!


22 jun 2021, 16:42
Profil
Användarvisningsbild

Blev medlem: 06 dec 2014, 10:44
Inlägg: 940
OS: Linux Mint
Svara med citat
Inlägg Re: WiFi-kort fungerar inte
Ett hett tips är att uppgradera RAM, så att du kan köra vilken dist som helst. Du blir alltså inte begränsad till dister med låga specs.
https://www.proshop.se/RAM/GSkill-SK-Se ... =pricesite

_________________
Alltid på kanelen!


22 jun 2021, 17:56
Profil

Blev medlem: 20 jun 2021, 00:38
Inlägg: 12
OS: Lubuntu
Utgåva: 16.04 Xenial Xerus LTS
Svara med citat
Inlägg Re: WiFi-kort fungerar inte
@eson57
eson57 skrev:
16.04, 18.04, 20.04, 22.04... du ser mönstret, va? ;)

I April vartannat år släpps alltså en ny LTS.

Okej, då är jag med. Det framgick lite dåligt på hemsidan tycker jag.

eson57 skrev:
Ett hett tips är att uppgradera RAM, så att du kan köra vilken dist som helst. Du blir alltså inte begränsad till dister med låga specs.
https://www.proshop.se/RAM/GSkill-SK-Se ... =pricesite

Redan beställt! :)

Dock kommer jag att avvakta med att installera dem, då jag har tänkt mig att först testa olika "lightweight"-distributioner för att se hur pass gamla datorer man kan ge ett andra liv med en sådan Linuxdistribution


22 jun 2021, 19:12
Profil

Blev medlem: 22 aug 2019, 15:35
Inlägg: 168
OS: Ubuntu
Utgåva: 21.04 Hirsute Hippo
Svara med citat
Inlägg Re: WiFi-kort fungerar inte [LÖST]
Tänk på att det normalt inte är distron, utan Desktop Environment som använder RAM.

GNOME (Ubuntu), KDE (Kubuntu) och Cinnamon (Linux Mint) räknas som de tunga som käkar mycket RAM.
Xfce (Xubuntu) och LXDE (Lubuntu) räknas till lättviktarna, men det finns massor med andra lättvikts-desktops att titta på.

Du kan använda DistroTest för att ta en snabbtitt på en distro och se om du tycker om den.
https://distrotest.net/index.php

Du kan även använda DistroWatch för att söka efter distros.
Förslagsvis tittar du på Netbooks:
https://distrowatch.com/search.php?osty ... y=Netbooks
Och Old Computers:
https://distrowatch.com/search.php?osty ... +Computers

När du sedan hittat en Desktop du tycker om och som kan köras på din dator kan du sedan söka efter just den desktopen i DistroWatch, för att hitta fler distros som har den.

Sedan är nästa steg att lära sig avinstallera bloat man inte behöver, speciellt bloat som finns i startup.

Någonstans efter det brukar man komma på att det inte spelar så stor roll vilken distro man kör, eftersom man kan installera/avinstallera de flesta paket i de flesta distros.

Det är t.ex. inga som helst problem att installera KDE, Xfce, LXDE i Ubuntu. Nu menar jag inte installera Kubuntu, Xubuntu, Lubuntu - utan köra Ubuntu med annan desktop.

Till sist lär man sig hur man modifierar och skräddarsyr sin desktop.
Även lättviktsdesktops går ofta att modifiera rejält och man kan ofta få dem att bli fantastiskt vackra.


24 jun 2021, 10:30
Profil
Användarvisningsbild

Blev medlem: 06 apr 2008, 00:09
Inlägg: 5857
Ort: Göteborg/Mölndal/Falkenberg
OS: Ubuntu
Svara med citat
Inlägg Re: WiFi-kort fungerar inte [LÖST]
anth skrev:
Det är t.ex. inga som helst problem att installera KDE, Xfce, LXDE i Ubuntu. Nu menar jag inte installera Kubuntu, Xubuntu, Lubuntu - utan köra Ubuntu med annan desktop.

Till sist lär man sig hur man modifierar och skräddarsyr sin desktop.
Även lättviktsdesktops går ofta att modifiera rejält och man kan ofta få dem att bli fantastiskt vackra.
Håller med helt!! ;)

Jag kör numera Mint eftersom jag hamnade där när Ubuntu "tvångsinförde" Unity, som jag blev fullkomligt tokig på. Säger inte att det är dåligt eller så, men ihop med vad jag är van vid och hur jag kör Linux, så var det liksom att hamna "lite lätt svävande ovanför verkligheten"... ;D

I Mint körde jag först MATE (Cinnamon var fin, men inte lika flexibel som MATE), men numera kör jag Mint med LXDE och är jättenöjd, jag behöver ingen tjusig desktop, utan är nöjd med en som fungerar och är lätthanterlig (och som gärna ger datorn bättre prestanda).... :D

(Ubuntu med LXDE är i stort sett exakt samma sak som Mint med LXDE, förutom vissa små detaljer. Som kan behövas om man har ett antal script som utgår från att det är Mint. Mint är ju helt baserat på Ubuntu, eller för LMDE istället Debian, som även Ubuntu är baserat på...) ;)

Men det är ju jag det, som är gammal VT100-nörd och som körde Unix/Linux långt innan grafiska gränssnitt fanns.... ;D

_________________
Agera genom att ta och behålla initiativet, ta de risker detta kräver...
http://www.enargo.com/it/
OpenVMS Shark - i Linux finns inte SYS$CMKRNL...


24 jun 2021, 15:16
Profil WWW
Visa inlägg nyare än:  Sortera efter  
Svara på tråd   [ 15 inlägg ] 

Vilka är online

Användare som besöker denna kategori: Inga registrerade användare och 1 gäst


Du kan inte skapa nya trådar i denna kategori
Du kan inte svara på trådar i denna kategori
Du kan inte redigera dina inlägg i denna kategori
Du kan inte ta bort dina inlägg i denna kategori
Du kan inte bifoga filer i denna kategori

Sök efter:
Hoppa till:  
cron
Main Engineer for phpBB3: Bertie at phpBB.com © 2000 - 2002, 2005 - 2007, the Group behind the Open Source code of phpBB.
Designed by STSoftware, modified by Katt, Konservburk & Peetra. Swedish translation by Peetra & phpBB Sweden © 2006-2011